import { NgModule } from "@angular/core";
import { RouterModule, Routes } from "@angular/router";
import { AutoRolesComponent } from "./components/auto-roles/auto-roles.component";
import { AutoRolesRulesComponent } from "./components/auto-roles-rules/auto-roles-rules.component";

const routes: Routes = [

  { path: "", component: AutoRolesComponent },
  { path: ":autoRoleId/rules", component: AutoRolesRulesComponent }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class AutoRoleRoutingModule {

}
